Subject: [dhcwg] questions on RFC 3046 and RFC 3527

From: "Kuntal Chowdhury" <[email-masked]>
Date: Wed, 18 Aug 2004 17:36:08 -0400

Hello all,

I have some questions regarding RFC3046 and RFC3527:

Q1. 

RFC3046 defines the Relay Agent Information Option. One of the sub option
for this option is Agent Remote ID Sub-option. A possible value for this
sub-option can be "the remote IP address of a point-to-point link".

RFC3527 defines another sub-option for Relay Agent Information Option called
Link selection sub-option. The possible value for this sub-option can be the
subnet (of the link) of the DHCP client.

The question is, why the IP address in "Agent Remote ID Sub-option" can't be
used to identify the subnet of link for the DHCP client? Why there was a
need for two separate sub-options to convey the same thing?

Q2.

RFC3046 says:

"
2.2 Server Operation

   DHCP servers unaware of the Relay Agent Information option will
   ignore the option upon receive and will not echo it back on
   responses.  This is the specified server behavior for unknown
   options.
"
RFC3527 says:

"
   When the DHCP server is allocating an address and this sub-option is
   present, then the DHCP server MUST allocate the address on either:

      o  the subnet specified in the link-selection sub-option, or;

      o  a subnet on the same link (also known as a network segment) as
         the subnet specified by the link-selection sub-option.
"

The confusion is: RFC3527 seems to mandate the DHCP server to assign IP
address based on link-selection sub-option when this sub-option is present
in the received request, but RFC3046 says that the entire Relay Agent
Information option can be ignored by the DHCP server if it is not supported.
Could someone clarify this?

Regards,
Kuntal

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Kostur, Andre" <[email-masked]>
Date: Wed, 18 Aug 2004 15:32:04 -0700

> sub-option can be "the remote IP address of a point-to-point link".

Note the phrasing that a _possible_ value for this sub-option....
 
> need for two separate sub-options to convey the same thing?

Because the RemoteID isn't necessarily an IP address?

At least one well-known standard (DOCSIS) sepcifies that the Remote ID is
the MAC address of the cable modem, and not an IP address.

> Could someone clarify this?

Correct.  If the server doesn't support 3046, then it cannot possibly
support 3527.
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Kostur, Andre" <[email-masked]>
Date: Wed, 18 Aug 2004 16:31:15 -0700

> Thanks for your response.
> 
> It is true that RemoteID is not necessarily an IP address, 
> but it MAY be an
> IP address. The question is, if the RemoteID is an IP 
> address, is the use of
> RFC 3527 redundant or there are some other reason to include the Link
> selection sub-option? 

However, the DHCP Service cannot assume that the RemoteID is an IP Address.
All it knows is that there's this binary blob of data to be used for certain
logic, that that the RemoteID is unique (See section 3.2 of 3046).  And, how
would the service distinguish between an IP address and any other 4 byte
Remote ID?
 
> Regarding the confusion between RFC 3046 and RFC 3527 (Q2), I 
> think RFC 3527
> should say: 
> 
> "If the DHCP server supports the Relay Agent Information 
> Option the DHCP
> server MUST allocate the address based on the following when 
> the received
> Relay Agent Information Option contains the Link selection sub-option:
> "

I don't understand the confusion.  All 3527 says is that IF a DHCP server
claims to implement 3527, then the server must perform the address
allocation in the specified manner.  And since 3527 cannot be implemented
without implementing 3046, having 3046 support is implied.
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Kuntal Chowdhury" <[email-masked]>
Date: Thu, 19 Aug 2004 15:27:27 -0400

Ted/Kostur,

Thanks for the clarification. Now I understand the use of these sub-options
better.

-Kuntal

>-----Original Message-----
>From: Ted Lemon [mailto:[email-masked]] 
>Sent: Wednesday, August 18, 2004 6:46 PM
>To: Chowdhury, Kuntal [RICH1:2H18:EXCH]
>Cc: [email-masked]; Kostur, Andre
>Subject: Re: [dhcwg] questions on RFC 3046 and RFC 3527 
>
>
>On Aug 18, 2004, at 4:12 PM, Kuntal Chowdhury wrote:
>> It is true that RemoteID is not necessarily an IP address, but it MAY
>> be an
>address, is the 
>> use of
>The DHCP server will use the link selection suboption to select the 
>link on which to configure the client.   It will not use the remote ID 
>option for this purpose.   If you can't think of a reason to send the 
>link selection suboption, do not send it.   It is intended for a 
>specific purpose, and is not something that every relay agent should 
>send in all circumstances.
>
>